./devel/ruby-ole, Ruby library for read/write access to OLE compound documents

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.2.12.1, Package name: ruby22-ole-1.2.12.1, Maintainer: pkgsrc-users

The ruby-ole library provides a variety of functions primarily for
working with OLE2 structured storage files, such as those produced by
Microsoft Office - eg *.doc, *.msg etc.


Required to run:
[lang/ruby22-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 35dcb7ecc15ef3c3ea9f0b16e395286576130b34
RMD160: 35e9cf7e90e4eda9b3f42e1df26973ee434dd383
Filesize: 55 KB

Version history: (Expand)


CVS history: (Expand)


   2017-03-19 17:44:55 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-ole to 1.2.12.1.

== 1.2.12.1 / 2017-03-12

- Integer unification for ruby 2.4.0+ (github #19, koic).
   2016-01-03 07:57:05 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-ole to 1.2.12.

== 1.2.12 / 2015-12-29

- Change project homepage to github.
- Add MIT licence to the gemspec (github #17, reiz).
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-03-15 18:09:00 by Hiramatsu Yoshifumi | Files touched by this commit (8)
Log message:
Set MAINTAINER to pkgsrc-users.
   2015-01-19 13:38:41 by OBATA Akio | Files touched by this commit (2) | Package updated
Log message:
Update ruby-ole to 1.2.11.8.

== 1.2.11.8 / 2014-12-30

- Fix duplicate key warning (github #15 and googlecode #12).
   2014-03-17 15:05:38 by Takahiro Kambe | Files touched by this commit (2)
Log message:
Use RUBY_SUFFIX instead of RUBY_VER.
   2013-07-04 14:09:18 by OBATA Akio | Files touched by this commit (2) | Package updated
Log message:
Update ruby-ole to 1.2.11.7.

== 1.2.11.7 / 2013-06-24

- Various encoding fixes to make tests pass on current rubies.
- Fix RangesIO#write behaviour when passed an encoded string (github #14,
  romuloceccon).
- Fix Dirent#each_child attempting iteration on file children (github #13).
- Unused variable fixes to avoid warnings (github #12, kachick).
   2012-12-22 09:35:31 by OBATA Akio | Files touched by this commit (2) | Package updated
Log message:
Update ruby-ole to 1.2.11.5.

== 1.2.11.5 / 2012-11-06

- Fix breakage of IO.parse_mode on Rubinius (issue #10).
- Make tests pass on rubinius (issue #11).
- Improve RangesIO test coverage.
- Don't warn when mbat_start is AVAIL instead of EOC (github #9).